Subject: Re: pseudo terminal support, was Re: [git-for-windows] Re: [ANNOUNCE] Git for Windows 2.27.0-rc0

From: Đoàn Trần Công Danh <[email-masked]>
Date: Wed, 20 May 2020 21:04:04 +0700

On 2020-05-19 13:16:40+0200, Johannes Schindelin <[email-masked]> wrote:
> > > > To be honest, this time round I would _really_ like to ask for some manual
> > > > testing. I upgraded the MSYS2 runtime from being based on Cygwin v3.0.7 to
> > > > v3.1.4, and the biggest new feature is support for those new-fangled
> > > > pseudo terminals that Windows 10 now supports. I did find a couple of
> > > > rough edges in my use cases, but I am not exactly a typical Git for
> > > > Windows user...

Hi Dscho,

I've installed Git for Windows 2.27.0 rc0 in my $work_machine today,
I've run into this error during installation:

	Cannot create file "<my %localappdata%>\Programs\Git\dev\fd".
	Access is denied.

I have GfW 2.19.0 installed (by IT policy) in "%programfiles%\Git", and
GfW 2.26.2 installed in %localappdata%\Programs\Git. I don't have the
right to install software in my $work_machine

I can still use git-bash (by double-click git-bash.exe) after
installation, though.

If you want more information, please tell me,
I'll try to get it, tomorrow.

> > > > Could I ask for some manual testing in particular of anything run inside
> > > > the Git Bash?
> > >
> > >
> > > I’m happy to set it up and use it as my daily driver on one of my
> > > workstations, but I don’t want to overpromise how much help I can really
> > > offer for that sort of testing. I don’t do much of my full-time development
> > > on Windows anymore for a variety of reasons, so even if I install it in my
> > > Windows machines I won’t get that much active use in. And when I do use
> > > Windows, I keep my workflow pretty simple, so aside from basic adds and
> > > commits with an occasional checkout or very rare rebase, I just don’t cover
> > > that much functionality.
> 
> Turns out that I ran into even more issues when trying to do a visual
> selection in `vim`: it would frequently "lose" the selection when I moved
> via the cursor keys.

My Windows machine is only used to run Ubuntu in a Virtual Box.
My limited exposure to GfW doesn't have any trouble.
My normal vim usage in GfW's git-bash works pretty well.
FWIW, I don't use arrow keys with vim.

> So I've come to the conclusion that the pseudo console support code is
> still too buggy to unleash onto Git for Windows' users, except as an
> experimental option. I will patch it to make the pseudo console feature
> opt-in instead of opt-out, and then also offer to configure it in Git for
> Windows' installer via an experimental option.
> 
> Has anybody else run into issues with console programs (such as `vim`,
> interactive Bash, etc)? Or is there anybody with a very different
> experience than mine, i.e. _not_ having run into any issues despite using
> (interactively) Git Bash extensively?

Is there anything that you would like to have a cross-check,
I can check during my free time, I can't promise much since I mostly
work inside my Ubuntu virtual machine.

-- 
Danh